
type ClickEvent = {
  mouseX: number;
  mouseY: number;
}
type ClickEventHandler = (e: ClickEvent) => void;

export class Canvas {
  clickables: ClickEventHandler[] = [];
  
  constructor();
  constructor(width: number, height: number);
  constructor(width?: number, height?: number) {
    const canvas = document.createElement('canvas');
    canvas.width = width || 400;
    canvas.height = height || 400;
  }
}